const defaultTheme = require('tailwindcss/defaultTheme')
/** @type {import('tailwindcss').Config} */
const colors = {
    ...defaultTheme.colors,
    ...{
        "scheme": {
            "secondary-hover": "#CF1C11",
            "form": "#F5F2FF",
            "primary": "#7646FC",
            "label": "#E9E5FF",
            "primary-light": "#e8e3ff",
            "body": '#F1F5F8'
        },
    },
}
module.exports = {
    mode: 'jit',
    content: [
        "./index.html",
        "./src/*.{js,ts,jsx,tsx,vue}",
        "./src/**/*.{js,ts,jsx,tsx,vue}",
        "./src/**/**/*.{js,ts,jsx,tsx,vue}",
        "./src/**/**/**/*.{js,ts,jsx,tsx,vue}",
        "./node_modules/flowbite/**/*.js"
    ],

    theme: {
        // colors: colors,
        extend: {
            maxWidth: {
                '100': '100px',
                '150': '150px',
                '200': '200px',
                '300': '300px',
                '350': '350px',
                '400': '400px',
                'bubble': 'calc(100% - 10rem)',
                '1/3': '33.33333%',
                '1/2': '50%',
                '2/3': '66.66666%',
            },
            minWidth: {
                '100': '100px',
                '150': '150px',
                '200': '200px',
                '300': '300px',
                '350': '350px',
                '400': '400px',
                '1/2': '50%',
                '1/3': '33.33333%',
                '1/4': '25%',
            },
            maxHeight: {
                '100': '100px',
                '150': '150px',
                '200': '200px',
                '300': '300px',
                'bubble': 'calc(100% - 10rem)',
                '1/3': '33.33333%',
                '1/2': '50%',
                '2/3': '66.66666%',
            },
            minHeight: {
                '100': '100px',
                '150': '150px',
                '200': '200px',
                '300': '300px',
                '1/2': '50%',
                '1/3': '33.33333%',
                '1/4': '25%',
            },
            colors: colors,
            fontFamily: {
                'roboto': ['"Roboto"', ...defaultTheme.fontFamily.sans],
            }
        },
    },
    plugins: [
        require('daisyui')
    ],
    // daisyUI config (optional)
    daisyui: {
        styled: true,
        themes: [
            {
                light: {
                    ...require("daisyui/src/colors/themes")["[data-theme=light]"],
                    "primary": "#7646FC",
                    "primary-focus": "#7646FC",
                },
                scheme: {
                    "primary": "#7646FC",
                    "secondary": "#F000B8",
                    "accent": "#37CDBE",
                    "neutral": "#3D4451",
                    "base-100": "#FFFFFF",
                    "info": "#3ABFF8",
                    "success": "#36D399",
                    "warning": "#FBBD23",
                    "error": "#8A120A",
                },
            },
        ],
        base: true,
        utils: true,
        logs: true,
        rtl: false,
        prefix: "",
        darkTheme: false,
    },
}